using System;
using Micro.Interfaces;

namespace Micro.Implementation
{
    public class PanicError : IError
    {
        public void Error(IToken t, string msg)
        {
            throw new PanicException(String.Format("Error ({0},{1}): {2}", t.Line, t.Col, msg));
        }
        
        public void Error(string msg)
        {
            throw new PanicException(String.Format("Error: {0}", msg));
        }
    }
    
    public class PanicException : Exception
    {
        public PanicException(string message) : base (message)
        {
        }
    }
}
